%{!?luaver: %global luaver %(lua -e "print(string.sub(_VERSION, 5))" || echo 0)}
%global luapkgdir %{_datadir}/lua/%{luaver}

%global luacompatver 5.1
%global luacompatpkgdir %{_datadir}/lua/%{luacompatver}

%global majorversion 0
%global minorversion 4
%global tagname version_%{majorversion}v%{minorversion}

Name:           lua-binaryheap
Version:        %{majorversion}.%{minorversion}
Release:        1%{?dist}
Summary:        Binary heap implementation for Lua

License:        MIT
URL:            https://github.com/Tieske/binaryheap.lua
Source0:        https://github.com/Tieske/binaryheap.lua/archive/%{tagname}/%{name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  lua

%description
A Lua library implementing binary heap algorithm.

%if 0%{?fedora} || 0%{?rhel} > 7
%package -n compat-%{name}
Summary:        Binary heap implementation for Lua %{luacompatver}

%description -n compat-%{name}
A Lua library implementing binary heap algorithm.
%endif

%prep
%setup -q -n binaryheap.lua-%{tagname}

%install
install -D -p -m 0644 src/binaryheap.lua %{buildroot}/%{luapkgdir}/binaryheap.lua

%if 0%{?fedora} || 0%{?rhel} > 7
install -D -p -m 0644 src/binaryheap.lua %{buildroot}/%{luacompatpkgdir}/binaryheap.lua
%endif

%files
%doc docs/*
%doc examples
%{luapkgdir}/binaryheap.lua

%if 0%{?fedora} || 0%{?rhel} > 7
%files -n compat-%{name}
%doc docs/*
%doc examples
%{luacompatpkgdir}/binaryheap.lua
%endif

%changelog
* Wed Apr 03 2019 Tomas Krizek <tomas.krizek@nic.cz> - 0.4-1
- Initial package for Fedora 28+ and EPEL 7
